#!/bin/bash
export CUDA_VISIBLE_DEVICES=0
ep=80
model_name=SOR_Mamba

lp=0
lamb=0.01

python -u run_SSL_FT.py \
  --is_training 1 \
  --root_path ./dataset/exchange_rate/ \
  --data_path exchange_rate.csv \
  --model_id Exchange_96_96 \
  --model $model_name \
  --data custom \
  --features M \
  --seq_len 96 \
  --pred_len 96 \
  --e_layers 2 \
  --enc_in 8 \
  --dec_in 8 \
  --c_out 8 \
  --des 'Exp' \
  --d_model 128 \
  --batch_size 16\
  --learning_rate 0.0001 \
  --d_ff 128 \
  --lamb $lamb\
  --train_epochs $ep\
  --learning_rate_alpha 0.1\
  --lp $lp\
  --itr 1

python -u run_SSL_FT.py \
  --is_training 1 \
  --root_path ./dataset/exchange_rate/ \
  --data_path exchange_rate.csv \
  --model_id Exchange_96_192 \
  --model $model_name \
  --data custom \
  --features M \
  --seq_len 96 \
  --pred_len 192 \
  --e_layers 2 \
  --enc_in 8 \
  --dec_in 8 \
  --c_out 8 \
  --des 'Exp' \
  --d_model 128 \
  --learning_rate 0.0001 \
  --d_ff 128 \
  --lamb $lamb\
  --train_epochs $ep\
  --learning_rate_alpha 1\
  --lp $lp\
  --itr 1

python -u run_SSL_FT.py \
  --is_training 1 \
  --root_path ./dataset/exchange_rate/ \
  --data_path exchange_rate.csv \
  --model_id Exchange_96_336 \
  --model $model_name \
  --data custom \
  --features M \
  --seq_len 96 \
  --pred_len 336 \
  --e_layers 2 \
  --enc_in 8 \
  --dec_in 8 \
  --c_out 8 \
  --des 'Exp' \
  --itr 1 \
  --d_model 128 \
  --learning_rate 0.00005 \
  --lamb $lamb\
  --train_epochs $ep\
  --learning_rate_alpha 0.1\
  --lp $lp\
  --d_ff 128 \

python -u run_SSL_FT.py \
  --is_training 1 \
  --root_path ./dataset/exchange_rate/ \
  --data_path exchange_rate.csv \
  --model_id Exchange_96_720 \
  --model $model_name \
  --data custom \
  --features M \
  --seq_len 96 \
  --pred_len 720 \
  --e_layers 2 \
  --enc_in 8 \
  --dec_in 8 \
  --c_out 8 \
  --des 'Exp' \
  --learning_rate 0.00005 \
  --d_model 128 \
  --d_ff 128 \
  --lamb $lamb\
  --train_epochs $ep\
  --learning_rate_alpha 2\
  --lp $lp\
  --itr 1